# pg_consume_input

(PHP 5 >= 5.6.0, PHP 7)

pg_consume_input — Reads input on the connection

### Description

pg_consume_input ( resource `$connection` ) : bool

pg_consume_input() consumes any input waiting to be read from the database server.

### Parameters

`connection`

  PostgreSQL database connection resource.

### Return Values

`TRUE` if no error occurred, or `FALSE` if there was an error. Note that `TRUE` does not necessarily indicate that input was waiting to be read.